## HdyEnumValueObject HdyEnumValueObject — An object representing a GEnumValue. |

## Functions

HdyEnumValueObject * | hdy_enum_value_object_new ()
gint | hdy_enum_value_object_get_value ()
const gchar * | hdy_enum_value_object_get_name ()
const gchar * | hdy_enum_value_object_get_nick ()

## Types and Values

#define | HDY_TYPE_ENUM_VALUE_OBJECT
| HdyEnumValueObject

## Object Hierarchy

        GObject
        ╰── HdyEnumValueObject

## Description

The HdyEnumValueObject object represents a GEnumValue, allowing it to be used with GListModel.

## Functions

### hdy_enum_value_object_new ()

    HdyEnumValueObject *
    hdy_enum_value_object_new (GEnumValue *enum_value);

### hdy_enum_value_object_get_value ()

    gint
    hdy_enum_value_object_get_value (HdyEnumValueObject *self);

### hdy_enum_value_object_get_name ()

    const gchar *
    hdy_enum_value_object_get_name (HdyEnumValueObject *self);

### hdy_enum_value_object_get_nick ()

    const gchar *
    hdy_enum_value_object_get_nick (HdyEnumValueObject *self);

## Types and Values

### HDY_TYPE_ENUM_VALUE_OBJECT

    #define HDY_TYPE_ENUM_VALUE_OBJECT (hdy_enum_value_object_get_type())

### HdyEnumValueObject

    typedef struct _HdyEnumValueObject HdyEnumValueObject;